LatticeAnalyzeAction Class Reference

`#include <LatticeAnalyzeAction.h>`

Inheritance diagram for LatticeAnalyzeAction:

## Public Member Functions

| LatticeAnalyzeAction ()
virtual void | obtainParameters (vector< Parameter * > &parameters)
virtual void | perform ()
virtual bool | displayAction () const
| This action isn't done yet, so it should not be displayed by the help action.
Public Member Functions inherited from Action
| Action (const char *name, const char *shortDescription, const char *description, bool acceptsNonParameter)
virtual | ~Action ()
const char * | getName () const
const char * | getShortDescription () const
const char * | getDescription () const
bool | acceptsNonParameter () const
virtual void | processNonParameter (const char *str)
virtual void | parseCommandLine (unsigned int tokenCount, const char **tokens)
const Parameter & | getParam (const string &name) const

## Static Public Member Functions

static const char * | staticGetName ()
Static Public Member Functions inherited from Action
static void | getActionNames (vector< string > &names)
static unique_ptr< Action > | createActionWithPrefix (const string &prefix)

## Private Attributes

IOParameters | _io

## Additional Inherited Members

Protected Attributes inherited from Action
CliParams | _params
const char * | _name
const char * | _shortDescription
const char * | _description
bool | _acceptsNonParameter
BoolParameter | _printActions

## Detailed Description

Definition at line 25 of file LatticeAnalyzeAction.h.

## Constructor & Destructor Documentation

## LatticeAnalyzeAction()

LatticeAnalyzeAction::LatticeAnalyzeAction | ( |  | ) |

Definition at line 460 of file LatticeAnalyzeAction.cpp.

## Member Function Documentation

## displayAction()

bool LatticeAnalyzeAction::displayAction | ( |  | ) | const

virtual

This action isn't done yet, so it should not be displayed by the help action.

Reimplemented from Action.

Definition at line 476 of file LatticeAnalyzeAction.cpp.

## obtainParameters()

void LatticeAnalyzeAction::obtainParameters | ( | vector< Parameter * > & | parameters | ) |

virtual

Reimplemented from Action.

Definition at line 471 of file LatticeAnalyzeAction.cpp.

## perform()

void LatticeAnalyzeAction::perform | ( |  | ) |

virtual

Implements Action.

Definition at line 480 of file LatticeAnalyzeAction.cpp.

## staticGetName()

const char * LatticeAnalyzeAction::staticGetName | ( |  | ) |

static

Definition at line 580 of file LatticeAnalyzeAction.cpp.

## Member Data Documentation

## _io

IOParameters LatticeAnalyzeAction::_io

private

Definition at line 40 of file LatticeAnalyzeAction.h.

The documentation for this class was generated from the following files:

- src/LatticeAnalyzeAction.h
- src/LatticeAnalyzeAction.cpp